---
title: Create new URL submissions
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Brand Protection](https://developers.cloudflare.com/api/python/resources/brand_protection)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create new URL submissions

brand\_protection.submit(BrandProtectionSubmitParams\*\*kwargs) -> [BrandProtectionSubmitResponse](<https://developers.cloudflare.com/api/python/resources/brand_protection#(resource)%20brand_protection%20%3E%20(model)%20brand_protection_submit_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/brand-protection/submit

Return new URL submissions

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write`

##### ParametersExpand Collapse

account\_id: str

minLength1

[Link to this property](<#(resource)%20brand_protection%20%3E%20(method)%20submit%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class BrandProtectionSubmitResponse: …

</summary>

skipped\_urls: Optional\[List\[Dict\[str, object]]]

<a href="#(resource)%20brand_protection%20%3E%20(model)%20brand_protection_submit_response%20%3E%20(schema)%20%3E%20(property)%20skipped_urls">Link to this property</a>

submitted\_urls: Optional\[List\[Dict\[str, object]]]

<a href="#(resource)%20brand_protection%20%3E%20(model)%20brand_protection_submit_response%20%3E%20(schema)%20%3E%20(property)%20submitted_urls">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection%20%3E%20(model)%20brand_protection_submit_response%20%3E%20(schema)>)

### Create new URL submissions

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.brand_protection.submit(
    account_id="x",
)
print(response.skipped_urls)
```

200 example

```
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}
```